View Issue Details

IDProjectCategoryView StatusLast Update
0014571LazarusWidgetsetpublic2011-12-01 11:25
ReporterTKAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0014571: Text color for buttons,check boxes,group boxes etc. incorrect on GTK2
DescriptionAll these controls have clWindowText default font color setting what is maybe due to Delphi compatibility. But if DarkRoom theme is selected in GNOME these texts appear black. Correct color is clBtnText here which is bright (maybe it is correct default color for these controls on all platforms). But even if clBtnText is selected as font color the texts still appear black (similar issue as setting TButton color in Delphi - this didn't work either).
TagsNo tags attached.
Fixed in Revision28344 and others
LazTarget0.9.30
WidgetsetGTK 2
Attached Files

Relationships

related to 0013577 closedPaul Ishenin default colors with QT 

Activities

Vincent Snijders

2009-09-13 10:02

manager   ~0030683

I think this may be solved by implementing clDefault correctly, so 0.9.30.

Paul Ishenin

2010-11-23 15:37

manager   ~0043422

Please test and close if ok.

Issue History

Date Modified Username Field Change
2009-09-12 20:06 TK New Issue
2009-09-12 20:06 TK Widgetset => GTK 2
2009-09-13 10:02 Vincent Snijders LazTarget => 0.9.30
2009-09-13 10:02 Vincent Snijders Note Added: 0030683
2009-09-13 10:02 Vincent Snijders Status new => acknowledged
2009-09-13 10:02 Vincent Snijders Target Version => 0.9.30
2009-12-14 08:16 Zeljan Rikalo Relationship added related to 0013577
2010-11-23 15:37 Paul Ishenin Fixed in Revision => 28344 and others
2010-11-23 15:37 Paul Ishenin Status acknowledged => resolved
2010-11-23 15:37 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-11-23 15:37 Paul Ishenin Resolution open => fixed
2010-11-23 15:37 Paul Ishenin Assigned To => Paul Ishenin
2010-11-23 15:37 Paul Ishenin Note Added: 0043422
2011-12-01 11:25 Marc Weustink Status resolved => closed